i am using nested loop to get each row and loop thru column and go to next row and loop thru column until the last row and stop
this is why i am using "j"
to stop the loop i am using condition (once the last row comes stop the loop)
but how to do it without condition
i tried other ways without conditions but not getting correct result
i just want to stop column count after all rows counted so that loop wont start from 2nd column again
for that i used if condition
just want to know how to do without CONDITIONS
Hello
i am trying to create points using excel X Y Z data
below is the code i have written in VBA, How can i write it without using while or if conditions
Dim opartDoc As Document
Set opartDoc = CATIA.Documents.Add("Part")
Dim oprt As Part
Set oprt = opartDoc.Part...
@Little Cthulhu
i followed the steps in the use case but cant achieve anything
i need to know how to implement the contextual menu interface to add extra options in the menu
it is done by late type binding but i dont know how
Hello Everyone
I am trying to understand how to add extra options into contextual menu (When user right clicks on any feature a menu displays)
there is a use case in CAA Encyclopedia, i am trying to understand but cant get it
here are some images related to the use case
any...
Hello all
i am trying to create a point using EKL method but i am getting this error
i have created a point also from formulas tab
i tried the following code from catiawidgets.net website
// Construct a Point by coordinates
Let ioPoint ( Point )
ioPoint = point( 0mm , 10mm , 20mm )
//...
Hello all
i am trying to create a macro to activate top main product of a assembly
i tried Product.Activate didnt work
catia.startcommand "frmActivate"
didnt work
is there any way
when i run the macro the mainproduc1 should be in Blue color means that is the active editing product in tree...
Hello all
i need to create a sweep using SweepLinetype and i need to use Axis system directions as Spine
i cant create line in X or Y or Z directions and use them as Spine
i need to select the Axis system and when axis system is selected i need to get the Y direction as spine
as shown in...
@itsmyjob
thanks for the replay
but how to activate tree manipulation and select top node
i have not worked much on tree manipulation and SpecsAndGeomWindow these kind of things
can you give some hints how to activate tree manipulation and selecting top node
thank you
Hello all
i want create a macro to collapse specification tree completely, i tried with following code
CATIA.StartCommand "Collapse All"
i used this method after checking one of the thread from here
but it is not working for some parts with big specification tree it will collapse tree...
Hello all
i am new to CAA
i am trying to get value from CATDlgEditor
i used following code
double dNumOfPoints = m_pCreatePntsDlg->GetEditor()->GetValue();
but i cant get the entered value in Editor, getting 0
i used GetText() method but i tried to convert in to double using ConvertToNUM...
Hi kantoku
sometimes macro will select all the edges
i have selected Y axis and selected surfaces
so this is completely depends on which axis direction user going select
what if we give a msg like "are the selected edges are required edges or not", if not select different axis direction...
Hello all
i am sharing a reference cad model, what i m working on is trying to creating blend between surfaces using a macro
user will select a all the surfaces required for blend and code will look for correct blending edges and blend will be created
for this i am trying to extract only...
hello
i have been trying to Unfold surfaces in catia VBA using AddNewUnfold in HybridShapeFasctory
but i am getting this error
how to unfold using VBA
method is there in HybridShapeFactory
cant use it
all the references are there in COM list
I will share the reference file soon
I'm traveling now
In simple words if there are surfaces with 4 edges in it then select vertical edges
How to identify particularly this edge is vertical wrt axis is the challenge
what data your referring to
its just in a surface with 4 edges i just want collect Vertical edges in any orientation
i think it is difficult to find out only vertical edges
have to get the orientation of the main axis first and then according to that the vertical edges can be isolated
if the...